Locker Class Reference

## Public Types

enum | LOCK_STATUS { LOCK_OK = 0, LOCK_TIMEOUT = -1, LOCK_FAILED = -2 }

## Public Member Functions

Locker::LOCK_STATUS | lock (unsigned long timeout=0xFFFFFFFF)
void | unlock ()
pthread_mutex_t * | getLockHandle ()

## Protected Member Functions

void | init ()
void | release ()

## Protected Attributes

pthread_mutex_t | _lock

The documentation for this class was generated from the following file:

- /home/yang/gitlab/sdk/include/locker.h